POSTGetTransactionInfoById

Tron Mainnethttps://tron-mainnet.nodit.io/wallet/gettransactioninfobyid

Query the transaction fee, block height by transaction id

Request Body
valuestringrequired

Transaction ID (hash). Example: bd32eef7469d57011a092c59c745cab1e49c501e9f0ac15c580656f9ead1e319

visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Responses
idstring

Example: d0807adb3c5412aa150787b944c96ee898c997debdc27e2f6a643c771edb5933

feeinteger

Example: 2790

blockNumberinteger

Example: 5467102

blockTimeStampinteger

Example: 1546455621000

contractResultstring[]
net_feeinteger

Example: 2790

X-API-KEY
RequestCU20
cURL
curl -X POST "https://tron-mainnet.nodit.io/wallet/gettransactioninfobyid" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
    "value": "bd32eef7469d57011a092c59c745cab1e49c501e9f0ac15c580656f9ead1e319",
    "visible": false
  }'
Response
Example · 200
{
  "id": "d0807adb3c5412aa150787b944c96ee898c997debdc27e2f6a643c771edb5933",
  "fee": 2790,
  "blockNumber": 5467102,
  "blockTimeStamp": 1546455621000,
  "contractResult": [
    ""
  ],
  "receipt": {
    "net_fee": 2790
  }
}